# Interface Georectified

All Superinterfaces:
  `GridSpatialRepresentation, SpatialRepresentation`

All Known Implementing Classes:
  `DefaultGeorectified`

@UML(identifier="MD_Georectified", specification=ISO_19115) public interface Georectified extends GridSpatialRepresentation
Grid whose cells are regularly spaced in a geographic (i.e., lat / long) or map coordinate system defined in the Spatial Referencing System (SRS) so that any cell in the grid can be geolocated given its grid coordinate and the grid origin, cell spacing, and orientation indication of whether or not geographic.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Point`
  `getCenterPoint()`
  Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cell halfway between opposite ends of the grid in the spatial dimensions.
  `InternationalString`
  `getCheckPointDescription()`
  Description of geographic position points used to test the accuracy of the georeferenced grid data.
  `Collection<? extends GCP>`
  `getCheckPoints()`
  Geographic references used to validate georectification of the data.
  `List<? extends Point>`
  `getCornerPoints()`
  Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cells at opposite ends of grid coverage along two diagonals in the grid spatial dimensions.
  `PixelOrientation`
  `getPointInPixel()`
  Point in a pixel corresponding to the Earth location of the pixel.
  `InternationalString`
  `getTransformationDimensionDescription()`
  Description of the information about which grid dimensions are the spatial dimensions.
  `Collection<? extends InternationalString>`
  `getTransformationDimensionMapping()`
  Information about which grid dimensions are the spatial dimensions.
  `boolean`
  `isCheckPointAvailable()`
  Indication of whether or not geographic position points are available to test the accuracy of the georeferenced grid data.

  ### Methods inherited from interface GridSpatialRepresentation

  `getAxisDimensionProperties, getCellGeometry, getNumberOfDimensions, isTransformationParameterAvailable`

- ## Method Details

  - ### isCheckPointAvailable

    @UML(identifier="checkPointAvailability", obligation=MANDATORY, specification=ISO_19115) boolean isCheckPointAvailable()
    Indication of whether or not geographic position points are available to test the accuracy of the georeferenced grid data.
    Returns:
      Whether or not geographic position points are available to test accuracy.

  - ### getCheckPointDescription

    @UML(identifier="checkPointDescription", obligation=CONDITIONAL, specification=ISO_19115) InternationalString getCheckPointDescription()
    Description of geographic position points used to test the accuracy of the georeferenced grid data.
    Returns:
      Description of geographic position points used to test accuracy, or `null`.

  - ### getCornerPoints

    @UML(identifier="cornerPoints", obligation=MANDATORY, specification=ISO_19115) List<? extends Point> getCornerPoints()
    Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cells at opposite ends of grid coverage along two diagonals in the grid spatial dimensions. There are four corner points in a georectified grid; at least two corner points along one diagonal are required.
    Returns:
      The corner points.

  - ### getCenterPoint

    @UML(identifier="centerPoint", obligation=OPTIONAL, specification=ISO_19115) Point getCenterPoint()
    Earth location in the coordinate system defined by the Spatial Reference System and the grid coordinate of the cell halfway between opposite ends of the grid in the spatial dimensions.
    Returns:
      The center point, or `null`.

  - ### getPointInPixel

    @UML(identifier="pointInPixel", obligation=MANDATORY, specification=ISO_19115) PixelOrientation getPointInPixel()
    Point in a pixel corresponding to the Earth location of the pixel.
    Returns:
      Earth location of the pixel.

  - ### getTransformationDimensionDescription

    @UML(identifier="transformationDimensionDescription", obligation=OPTIONAL, specification=ISO_19115) InternationalString getTransformationDimensionDescription()
    Description of the information about which grid dimensions are the spatial dimensions.
    Returns:
      Description of the information about grid dimensions, or `null`.

  - ### getTransformationDimensionMapping

    @UML(identifier="transformationDimensionMapping", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends InternationalString> getTransformationDimensionMapping()
    Information about which grid dimensions are the spatial dimensions.
    Returns:
      Information about which grid dimensions are the spatial dimensions, or `null`.

  - ### getCheckPoints

    @UML(identifier="checkPoint", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends GCP> getCheckPoints()
    Geographic references used to validate georectification of the data.
    Returns:
      Geographic references used to validate georectification.
    Since:
      2.3